OD(1)

NAZWA
od - zrzuć pliki w formacie ósemkowym i innych

SKŁADNIA

od  [-abcdfhiloxv] [-s[bajty]] [-w[bajty]] [-A podstawa]
    [-j bajty] [-N bajty] [-t typ] [--skip-bytes=bajty]
    [--address-radix=podstawa] [--read-bytes=bajty]
    [--output-duplicates] [--strings[=bajty]]
    [--format=typ] [--width[=bajty]] [--traditional]
    [--help] [--version] [plik...]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo od
lub
    info od.

Ta strona podręcznika opisuje polecenie od w wersji GNU.

od wypisuje na standardowe wyjście zawartość podanych plików, lub standardowego wejścia jeśli podano nazwę '-'. Każda linia wynikowa składa się z offsetu w pliku wejściowym oraz grup danych z pliku. Domyślnie, od wypisuje offsety pliku ósemkowo, zaś każda grupa danych jest dwoma bajtami wejścia wypisanymi jako jedna liczba ósemkowa.

OPCJE

-A, --address-radix=podstawa
    Wybiera system liczbowy, w którym wypisywane będą offsety w pliku. podstawa może być jedną z poniższych:

    d   dziesiętna

    o   ósemkowa

    x   szesnastkowa

    n   żadna (nie wypisuje offsetów)

Wartość domyślna to podstawa ósemkowa.

-j, --skip-bytes=bajty
    Pomija bajty bajtów wejścia zanim rozpocznie formatowanie i pisanie. Jeśli bajty zaczyna się od '0x' lub '0X', interpretowane jest szesnastkowo; w przeciwnym razie, jeśli zaczyna się od '0', ósemkowo; w przeciwnym razie, dziesiętnie. Dopisanie po liczbie litery 'b' mnoży podaną liczbę przez 512, 'k' przez 1024, a 'm' przez 1048576.

-N, --read-bytes=bajty
    Wypisuje co najwyżej bajty bajtów każdego pliku wejściowego. Wszystkie przedrostki i przyrostki do bajty interpretowane są jak przy opcji -j.

-t, --format=typ
    Wybiera format, w jakim będzie następować wypisywanie danych z pliku. typ to łańcuch jednego lub więcej z poniższych znaków wskazujących typ. Jeśli w pojedynczym łańcuchu typu poda się więcej niż jeden znak lub użyje się tej opcji więcej niż raz, to od zapisze po jednej kopii każdej linii wyjścia używając każdego z podanych typów danych, w podanej kolejności. Dodanie kończącego "z" do dowolnego określnika typu powoduje dołączenie znakowej reprezentacji ASCII znaków drukowalnych do linii wynikowej tworzonej przez ten typ.

    a   znaki nazwane

    c   znaki ascii lub sekwencje specjalne (z odwrotnym ukośnikiem)

    d   liczba dziesiętna ze znakiem

    f   liczba zmiennoprzecinkowa

    o   ósemkowo

    u   liczba dziesiętna bez znaku

    x   szesnastkowo
Typ 'a' daje w wyniku np. 'sp' dla spacji, 'nl' dla znaku nowej linii, a 'nul' dla bajtu zerowego (null). Typ 'c' daje odpowiednio ' ', ' i ' '.

Za wyjątkiem typów 'a' i 'c', można określić ilość bajtów, które będą użyte przy interpretacji każdej liczby w podanym typie danych, dopisując po znaku określnika typu dziesiętną liczbę całkowitą. Zamiast tego, można też podać rozmiar jednego z wbudowanych typów danych kompilatora C dopisując po znaku określnika typu jeden z następujących znaków: dla liczb całkowitych (d, o, u, x):

    C   char

    S   short

    I   int

    L   long

Dla liczb zmiennoprzecinkowych (f):

    F   float

    D   double

    L   long double

-v, --output-duplicates
    Wypisuje kolejne linie, które są identyczne. Domyślnie, gdy dwie lub więcej kolejnych linii jest takich samych, od wypisuje tylko pierwszą linię i stawia gwiazdkę w linii następnej zaznaczając, że identyczne linie zostały opuszczone.

-s, --strings[=bajty]
    Zamiast normalnego wyniku, wypisuje tylko stałe łańcuchowe z wejścia. Powinny być one ciągiem co najmniej bajty znaków graficznych (lub formatujących) ASCII, zakończonych znakiem NUL. Jeśli bajty pominięto, wartością domyślną jest 3.

-w, --width[=bajty]
    Liczba bajtów wejścia do sformatowania w jednej linii wynikowej. Musi być to wielokrotność najmniejszej wspólnej wielokrotności rozmiarów skojarzonych z podanymi typami wyjścia. Jeśli bajty pominięto, wartością domyślną jest 32. Jeśli nie w ogóle podano tej opcji, wartością domyślną jest 16.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

Następne kilka opcji odwzorowuje stare, przed-POSIX-owe opcje określające format na odpowiednie POSIX-owe specyfikacje formatu. GNU od akceptuje każdą kombinację opcji w starym i nowym stylu. Opcje określające format sumują się.

-a  Wypisuje jako znaki nazwane. Równoważne -t a.

-b  Wypisuje jako bajty ósemkowe. Równoważne -t oC.

-c  Wypisuje jako znaki ASCII albo sekwencje specjalne z odwrotnym ukośnikiem. Równoważne -t c.

-d  Wypisuje jako liczby całkowite typu short bez znaku. Równoważne -t u2.

-f  Wypisuje jako liczby dziesiętne. Równoważne -t fF.

-h  Wypisuje jako liczby szesnastkowe typu short. Równoważne -t x2.

-i  Wypisuje jako liczby całkowite typu short. Równoważne -t d2.

-l  Wypisuje jako liczby całkowite typu long. Równoważne -t d4.

-o  Wypisuje jako liczby ósemkowe typu short. Równoważne -t o2.

-x  Wypisuje jako liczby szesnastkowe typu short. Równoważne -t x2.

--traditional
    Rozpoznaje przed-POSIXowe argumenty nie będące opcjami, akceptowane przez niektóre starsze wersje od. Poniższa składnia
    od --traditional [plik] [[+]offset[.][b]
       [[+]etykieta[.][b]]]
    może być używana do określenia co najwyżej jednego pliku i opcjonalnych argumentów określających offset i adres pseudo-startowy etykieta. Domyślnie offset interpretowany jest jako liczba ósemkowa określająca ile bajtów wejścia należy przeskoczyć przed formatowaniem i wypisywaniem. Opcjonalna końcowa kropka dziesiętna wymusza interpretację offset jako liczby dziesiętnej. Jeśli nie podano kropki, a offset zaczyna się od '0x' lub '0X', interpretowany jest on jako liczba szesnastkowa. Jeśli znajduje się tam dodatkowe 'b', liczba przeskoczonych bajtów będzie równa offset pomnożony przez 512. Argument etykieta interpretowany jest tak jak offset, ale określa on początkowy pseudo-adres. Pseudo-adresy wypisywane są w nawiasach po każdym normalnym adresie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz. ang., do <bug-textutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
cat(1), tac(1), nl(1), textutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi tekstowych GNU wersji 2.0.